LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XKeysSupplier Interface Referencepublished

provides for access to a container of keys, typically used for a table definition object. More...

`import"XKeysSupplier.idl";`

Inheritance diagram for XKeysSupplier:

## Public Member Functions
com::sun::star::container::XIndexAccess | getKeys ()
| returns the container of keys. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides for access to a container of keys, typically used for a table definition object.

## Member Function Documentation

## ◆ getKeys()

com::sun::star::container::XIndexAccess getKeys | ( |  | ) |

returns the container of keys.

Returns
  the keys

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XKeysSupplier.idl